PDA

View Full Version : [CLOSED] Is PivotGrid available for Ext.Net 2.x or ExtJS 4.x?



jchau
Sep 03, 2015, 6:06 PM
I can't find any examples of PivotGrid for Ext.NET 2.x or ExtJS 4.x. Is this a ExtJS 5.x only control?

geoffrey.mcgill
Sep 03, 2015, 7:02 PM
The PivotGrid has not been included in any release of Ext.NET. I don't think it will be available in the next release either, as the PivotGrid is a separate product from Sencha and they do not include in Ext JS.

jchau
Sep 03, 2015, 7:23 PM
In their documentation, they said the PivotGrid is available for 4.1 and above. That's why I thought it would be included.

http://docs.sencha.com/extjs/5.1/components/grids/pivot_grid.html

From the Requirements section:
"Sencha Pivot Grid works with any version of Sencha Ext JS 4.1.x+".

fabricio.murta
Sep 04, 2015, 12:11 AM
Hello @jchau!

You are right where pivotGrid works with ExtJS since 4.1. The problem is that this is like an extension to ExtJS. It is not (at least up to JS 5.x) included in the main package and must be bought separately.

As the license Ext.NET provides to ExtJS is limited to the main product, we do not include the pivotGrid extension itself and, as we don't have that extension, we couldn't build Ext.NET support for it, unfortunately.

If it becomes part (native) of ExtJS 6 (future Ext.NET 4), then we will most likely be implementing support for it on the upcoming Ext.NET v4 release.

Hope you understand.

geoffrey.mcgill
Sep 04, 2015, 3:58 AM
If it becomes part (native) of ExtJS 6 (future Ext.NET 4), then we will most likely be implementing support for it on the upcoming Ext.NET v4 release.

Unfortunately the PivotGrid will not be part of Ext JS 6, so will not be included in Ext.NET 4.

jchau
Sep 04, 2015, 3:09 PM
I sent a request to Sencha to buy PivotGrid for ExtJS 4.2. Hopefully they have it available as a separate plugin.